import { NgModule }      from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule }   from '@angular/forms';
import { HttpModule }    from '@angular/http';



// Imports for loading & configuring the in-memory web api
import { InMemoryWebApiModule } from 'angular-in-memory-web-api';
import { InMemoryDataService } from './in-memory-data.service';


import { AppComponent }         from './app.component';
// Import service for updating data

import { HeroService } from './hero.service';
import { DataSvc } from '../services/DataSvc';
// Wijmo Required Module
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjGridFilterModule } from 'wijmo/wijmo.angular2.grid.filter';
import { WjGridSheetModule } from 'wijmo/wijmo.angular2.grid.sheet';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    InMemoryWebApiModule.forRoot(InMemoryDataService),      
      WjGridModule,
      WjGridFilterModule,
      WjGridSheetModule
  ],
  declarations: [
    AppComponent,
    
    
   
    
  ],
  providers: [HeroService, DataSvc],
  bootstrap: [ AppComponent ]
})
export class AppModule { }


/*
Copyright 2017 Google Inc. All Rights Reserved.
Use of this source code is governed by an MIT-style license that
can be found in the LICENSE file at http://angular.io/license
*/